body {
    width: 95%;
    height: 800px;
    margin: 0 auto;
}

header, footer {
    background-color: green;
    height: 10%;
    border: 1px black solid;
    margin: 5px;
}

#main {
    display: flex;
    height: 80%;
    justify-content: space-evenly;
}

article {
    background-color: wheat;
    border: 1px black solid;
    margin: 5px;
    flex-grow: 4;
    order: 2;
}

nav {
    background-color: cornflowerblue;
    border: 1px black solid;
    margin: 5px;
    flex-grow: 1;
    order: 3;
}

aside {
    background-color: cornflowerblue;
    border: 1px black solid;
    margin: 5px;
    flex-grow: 1;
    order: 1;
}

/*Reglas para cuando el ancho sea menor de 640px*/
@media all and (max-width:640px) {
    header, footer {
        background-color: green;
        height: 10%;
        border: 1px black solid;
        margin: 5px;
    }

    #main {
        display: flex;
        flex-direction: column;
    }

    article {
        background-color: wheat;
        border: 1px black solid;
        margin: 5px;
        flex-grow: 10;
        order: 1;
    }

    nav {
        background-color: cornflowerblue;
        border: 1px black solid;
        margin: 5px;
        flex-grow: 1;
        order: 2;
    }

    aside {
        background-color: cornflowerblue;
        border: 1px black solid;
        margin: 5px;
        flex-grow: 1;
        order: 3;
    }
}